%define pypi_name requests-file

Name:           python-%{pypi_name}
Version:        1.5.1
Release:        %mkrel 2
Summary:        File transport adapter for Requests
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/requests-file/
Source0:        requests-file-1.5.1.tar.gz
BuildArch:      noarch

%description
Requests-File is a transport adapter for use with the Requests Python library
to allow local filesystem access via file:// URLs.

%package -n     python3-%{pypi_name}
Summary:        File transport adapter for Requests
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
Requests-File is a transport adapter for use with the Requests Python library
to allow local filesystem access via file:// URLs.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/requests_file.*
%{python3_sitelib}/requests_file-%{version}-*.egg-info
#%{python3_sitelib}/__pycache__/requests_file.*


%changelog

* Fri Mar 03 2023 adrianomorselli <dev@ufficiozero.org> 1.5.1-2ufficiozero2023
- rebuild against updates
